org.eclipse.jetty.websocket

## Interface WebSocketParser.FrameHandler

All Known Subinterfaces:
  Extension

All Known Implementing Classes:
  AbstractExtension, DeflateFrameExtension, FragmentExtension, IdentityExtension

Enclosing interface:
  WebSocketParser

    public static interface WebSocketParser.FrameHandler

### Method Summary

Methods
`void` `close(int code, String message)`
`void` `onFrame(byte flags, byte opcode, Buffer buffer)`

### Method Detail

#### onFrame

    void onFrame(byte flags,
               byte opcode,
               Buffer buffer)

#### close

    void close(int code,
             String message)